// ======================================================================
//
// MaterialData_wu2.h
// jeff grills
//
// copyright 1998 origin sytems inc
//
// ======================================================================

#ifndef MAT_WU2_H
#define MAT_WU2_H

// ======================================================================

class Palette;
class StaticMaterial;
namespace raster
{
	struct texture;
	struct solid_surface_desc;
}

#include "MaterialData.h"

// ======================================================================

class MaterialData_wu2 : public MaterialData
{
private:

	byte                       *clut;
	raster::texture            *texture;
	raster::solid_surface_desc *solidSurfaceDesc;
	
private:

	void init(void);
	
public:

	MaterialData_wu2(int r, int g, int b);
	MaterialData_wu2(const StaticMaterial *material);
	virtual ~MaterialData_wu2(void);

	raster::texture            *getTexture(void) const;
	raster::solid_surface_desc *getSolidSurfaceDesc(void) const;
};

// =====================================================================

inline raster::texture *MaterialData_wu2::getTexture(void) const
{
	return texture;
}

// ----------------------------------------------------------------------

inline raster::solid_surface_desc *MaterialData_wu2::getSolidSurfaceDesc(void) const
{
	return solidSurfaceDesc;
}

// =====================================================================

#endif
